/*
 * main.h
 *
 *  Created on: 20211121
 *      Author: JieChen
 */

#ifndef MAIN_H_
#define MAIN_H_

#include <stdio.h>
#include <stdint.h>
#include "mxc_device.h"
#include "led.h"
#include "board.h"
#include "mxc_delay.h"
#include "uart.h"

extern uint16_t	DataA[8];
extern uint16_t	DataB[8];
extern uint16_t	SampleCount;
extern uint8_t	ChannelCount;

typedef struct
{
	uint8_t update_flag;

	int16_t	w_i_temp;
	float 	w_f_temp;

	int16_t	w_i_tds;	//ADC code
	float 	w_f_cor;		//correction
	float 	w_f_vol;		//voltage
	float 	w_f_K;		//K value
	float 	w_f_tds;

}Water_Quliaty_StructDef;

#endif /* MAIN_H_ */
